CREATE TABLE VEHICLE (
		DISCRIM_VEHICLE VARCHAR(32),
		ID1 INTEGER NOT NULL,
		CELLPHONE VARCHAR (1000) FOR BIT DATA,
		DATEACQUIRED DATE,
		GARAGE_ID INTEGER,
		MAXIMUMLOAD INTEGER,
		NUMBEROFWHEELS INTEGER,
		NUMBEROFAIRBAGS INTEGER,
		TOPSPEED INTEGER,
		MAXIMUMPASSENGERS INTEGER
	)
	DATA CAPTURE NONE ;

CREATE TABLE GARAGE (
		ID1 INTEGER NOT NULL,
		CAPACITY INTEGER NOT NULL
	)
	DATA CAPTURE NONE ;

CREATE TABLE MOTORVEHICLEPART (
		PARTID INTEGER NOT NULL,
		DESCRIPTION VARCHAR(250),
		VEHICLE_ID INTEGER
	)
	DATA CAPTURE NONE ;

ALTER TABLE VEHICLE ADD CONSTRAINT PK_VEHICLE PRIMARY KEY (ID1);

ALTER TABLE GARAGE ADD CONSTRAINT PK_GARAGE PRIMARY KEY (ID1);

ALTER TABLE MOTORVEHICLEPART ADD CONSTRAINT PK_MOTORVEHICLEPA1 PRIMARY KEY (PARTID);

